<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/all_seats_container"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:clipChildren="false"
    android:paddingHorizontal="20dp"
    android:paddingTop="8dp"
    tools:background="@color/black">

    <View
        android:id="@+id/v_guide_2"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:tag="@string/tag_how_to_order_guide_2"
        app:layout_constraintBottom_toBottomOf="@id/barrier_mic_owner"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <View
        android:id="@+id/v_guide_3"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:tag="@string/tag_how_to_order_guide_3"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@id/mic_1" />

    <!-- 主持 -->
    <com.adealink.weparty.room.micseat.dispatcenter.DispatchCenterHostSeatView
        android:id="@+id/mic_host"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        app:layout_constraintEnd_toStartOf="@id/mic_guest"
        app:layout_constraintHorizontal_chainStyle="spread_inside"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintWidth_percent="0.2"
        tools:layout_height="100dp" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/v_how_to_play"
        android:layout_width="130dp"
        android:layout_height="0dp"
        android:background="@drawable/room_dispatch_center_how_to_order"
        app:layout_constraintBottom_toBottomOf="@id/mic_host"
        app:layout_constraintDimensionRatio="130:68"
        app:layout_constraintEnd_toStartOf="@id/mic_guest"
        app:layout_constraintStart_toEndOf="@id/mic_host"
        app:layout_constraintTop_toTopOf="@id/mic_host">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="0dp"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="@id/v_how_to_play"
            app:layout_constraintDimensionRatio="100:22"
            app:layout_constraintEnd_toEndOf="@id/v_how_to_play"
            app:layout_constraintStart_toStartOf="@id/v_how_to_play"
            app:layout_constraintTop_toTopOf="@id/v_how_to_play"
            app:layout_constraintVertical_bias="0"
            app:layout_constraintWidth_percent="0.7">

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_how_to_play"
                android:layout_width="wrap_content"
                android:layout_height="0dp"
                android:ellipsize="end"
                android:gravity="center"
                android:includeFontPadding="false"
                android:singleLine="true"
                android:text="@string/room_dispatch_center_how_to_order"
                android:textColor="@color/color_FFC9CDD4"
                android:textSize="11sp"
                app:layout_constrainedWidth="true"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintEnd_toStartOf="@id/iv_how_to_play_go"
                app:layout_constraintHorizontal_chainStyle="packed"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_how_to_play_go"
                android:layout_width="12dp"
                android:layout_height="12dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintDimensionRatio="1:1"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@id/tv_how_to_play"
                app:layout_constraintTop_toTopOf="parent"
                app:srcCompat="@drawable/common_go_gray_ic" />
        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <!-- 嘉宾 -->
    <com.adealink.weparty.room.micseat.dispatcenter.DispatchCenterGuestSeatView
        android:id="@+id/mic_guest"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/mic_host"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintWidth_percent="0.2"
        tools:layout_height="100dp" />

    <androidx.constraintlayout.widget.Barrier
        android:id="@+id/barrier_mic_owner"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:barrierDirection="bottom"
        app:constraint_referenced_ids="mic_host, mic_guest" />

    <com.adealink.weparty.room.micseat.dispatcenter.DispatchCenterMemberSeatView
        android:id="@+id/mic_1"
        style="@style/DispatchCenterMemberMicSeatStyle"
        app:layout_constraintEnd_toStartOf="@+id/mic_2"
        app:layout_constraintHorizontal_chainStyle="spread_inside"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/barrier_mic_owner"
        tools:layout_height="80dp" />

    <com.adealink.weparty.room.micseat.dispatcenter.DispatchCenterMemberSeatView
        android:id="@+id/mic_2"
        style="@style/DispatchCenterMemberMicSeatStyle"
        app:layout_constraintEnd_toStartOf="@+id/mic_3"
        app:layout_constraintStart_toEndOf="@+id/mic_1"
        app:layout_constraintTop_toTopOf="@+id/mic_1"
        tools:layout_height="80dp" />

    <com.adealink.weparty.room.micseat.dispatcenter.DispatchCenterMemberSeatView
        android:id="@+id/mic_3"
        style="@style/DispatchCenterMemberMicSeatStyle"
        app:layout_constraintEnd_toStartOf="@+id/mic_4"
        app:layout_constraintStart_toEndOf="@+id/mic_2"
        app:layout_constraintTop_toTopOf="@+id/mic_1"
        tools:layout_height="80dp" />

    <com.adealink.weparty.room.micseat.dispatcenter.DispatchCenterMemberSeatView
        android:id="@+id/mic_4"
        style="@style/DispatchCenterMemberMicSeatStyle"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/mic_3"
        app:layout_constraintTop_toTopOf="@+id/mic_1"
        tools:layout_height="80dp" />

    <com.adealink.weparty.room.micseat.dispatcenter.DispatchCenterMemberSeatView
        android:id="@+id/mic_5"
        style="@style/DispatchCenterMemberMicSeatStyle"
        app:layout_constraintEnd_toStartOf="@+id/mic_6"
        app:layout_constraintHorizontal_chainStyle="spread_inside"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/mic_1"
        tools:layout_height="80dp" />

    <com.adealink.weparty.room.micseat.dispatcenter.DispatchCenterMemberSeatView
        android:id="@+id/mic_6"
        style="@style/DispatchCenterMemberMicSeatStyle"
        app:layout_constraintEnd_toStartOf="@+id/mic_7"
        app:layout_constraintStart_toEndOf="@id/mic_5"
        app:layout_constraintTop_toTopOf="@id/mic_5"
        tools:layout_height="80dp" />

    <com.adealink.weparty.room.micseat.dispatcenter.DispatchCenterMemberSeatView
        android:id="@+id/mic_7"
        style="@style/DispatchCenterMemberMicSeatStyle"
        app:layout_constraintEnd_toStartOf="@+id/mic_8"
        app:layout_constraintStart_toEndOf="@id/mic_6"
        app:layout_constraintTop_toTopOf="@id/mic_5"
        tools:layout_height="80dp" />

    <com.adealink.weparty.room.micseat.dispatcenter.DispatchCenterMemberSeatView
        android:id="@+id/mic_8"
        style="@style/DispatchCenterMemberMicSeatStyle"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/mic_7"
        app:layout_constraintTop_toTopOf="@id/mic_5"
        tools:layout_height="80dp" />

</androidx.constraintlayout.widget.ConstraintLayout>